Debian Bug report logs - #394862
RM: openoffice.org-soikko -- RoM/RoOOoM; unmaintained upstream, buggy, non-free, superseded by -voikko

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Rene Engelhard <rene@debian.org>

Date: Mon, 23 Oct 2006 14:48:19 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jarno Elonen <elonen@debian.org>, Timo Jyrinki <timo.jyrinki@iki.fi>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to Jarno Elonen <elonen@debian.org>, Timo Jyrinki <timo.jyrinki@iki.fi>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: openoffice.org-soikko -- RoOOoM; unmaintained upstream, non-free, superseded by -voikko
Date: Mon, 23 Oct 2006 15:54:06 +0200
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org
Severity: wishlist

[ X-Debbugs-Cc'ing -soikko and -voikko maintainers for Comments ]
[ RoOOoM = Request of OpenOffice.org Maintainer ;) ]

IMHO openoffice.org-soikko should be removed.

It is non-free, i386-only, unmaintained upstream and will be
"obsolete in the near future".
It also is replaces by voikko which is free, not i386-only and
is maintained upstream.
(See [1])

Regards,

Rene

[1] http://lists.debian.org/debian-mentors/2006/09/msg00688.html
 
-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-powerpc
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jarno Elonen <elonen@iki.fi>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 394862@bugs.debian.org (full text, mbox):

From: Jarno Elonen <elonen@iki.fi>
To: 394862@bugs.debian.org
Subject: Re: Bug#394862: RM: openoffice.org-soikko -- RoOOoM; unmaintained upstream, non-free, superseded by -voikko
Date: Mon, 23 Oct 2006 19:33:18 +0300
> It is non-free, i386-only, unmaintained upstream and will be
> "obsolete in the near future".

I'm not quite convinced that the quoted future is so near, unfortunately.
Last time I tried Voikko, it performed very poorly. I known the project
and would be very glad if Soikko could be replaced with it, but I won't
do so until it's demonstrably useful enough for practical work.
If the project hasn't done wonders in the few last few months,
Soikko is very likely still the only free (though not Free) package
with decent Finnish spell checking in Linux.

- Jarno



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #15 received at 394862@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 394862@bugs.debian.org, Timo Jyrinki <timo.jyrinki@iki.fi>
Subject: Re: Bug#394862: RM: openoffice.org-soikko -- RoOOoM; unmaintained upstream, non-free, superseded by -voikko
Date: Tue, 24 Oct 2006 17:37:23 +0200
[Message part 1 (text/plain, inline)]
[ nnnn@bugs.debian.org only goes to thei maintainer (in this case the
ftpmasters), not the submitter. Neither did it go to the -voikko
maintainer which I did add to Cc for a reason. ]

Hi,

Jarno Elonoen wrote:
> > It is non-free, i386-only, unmaintained upstream and will be
> > "obsolete in the near future".
>
> I'm not quite convinced that the quoted future is so near,
> unfortunately.
> Last time I tried Voikko, it performed very poorly. I known the project
> and would be very glad if Soikko could be replaced with it, but I won't
> do so until it's demonstrably useful enough for practical work.
> If the project hasn't done wonders in the few last few months,
> Soikko is very likely still the only free (though not Free) package
> with decent Finnish spell checking in Linux.

-voikko is in sid for all archs supported by OOo and you could have tried it
instead of basing on a experiemnce months ago.
(Not that I know whether it has improved, but Timo might have info on
this)

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Timo Jyrinki <timo.jyrinki@iki.fi>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #20 received at 394862@bugs.debian.org (full text, mbox):

From: Timo Jyrinki <timo.jyrinki@iki.fi>
To: Rene Engelhard <rene@debian.org>
Cc: 394862@bugs.debian.org
Subject: Re: Bug#394862: RM: openoffice.org-soikko -- RoOOoM; unmaintained upstream, non-free, superseded by -voikko
Date: Tue, 24 Oct 2006 19:18:01 +0300 (EEST)
On Tue, 24 Oct 2006, Rene Engelhard wrote:

>> Last time I tried Voikko, it performed very poorly. I known the project
>> and would be very glad if Soikko could be replaced with it, but I won't
>> do so until it's demonstrably useful enough for practical work.
>> If the project hasn't done wonders in the few last few months,
>> Soikko is very likely still the only free (though not Free) package
>> with decent Finnish spell checking in Linux.

I don't agree, to me Voikko seems currently very much usable. Please try 
it more thoroughly. If you really think it's not decent as you say, 
please raise the issues at hunspell-fi.org's (ie. Voikko's) mailing lists 
- I haven't seen anyone suggesting something what makes it not usable for 
practical work at its current state. Quite contrary, a lot of people are 
already using it. It's not perfect, but it's good enough (if my memory 
serves correctly, it is already better than whatever commercial Finnish 
spellchecker there was in MS Word) and getting better.

On the web pages, it is said eg. "Current version (1.1) seems to work 
fine, there are no known important bugs left. It will accept some 
inflections that are either incorrect or no longer used in modern 
Finnish. This is rarely a problem during actual spellchecking, but it 
may occasionally result in some strange suggestions for incorrectly 
spelled words.". This said, many improvements are already in the SVN, too.

-Timo



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #25 received at 394862@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Juha Heinanen <jh@tutpro.com>, 396225@bugs.debian.org, 394862@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#396225 closed by Rene Engelhard <rene@debian.org> (Re: Bug#396225: Info received (Bug#396225 closed by Rene Engelhard <rene@debian.org> (Re: Bug#396225: openoffice.org 2.0.4-2 simpress crashes on all files)))
Date: Fri, 3 Nov 2006 11:38:03 +0100
reopen 396225
severity 396225 grave
retitle 396225 -2 "poisoned" hosts
found 396225 1.1.1-2
retitle 394862 RM: openoffice.org-soikko -- RoOOoM; unmaintained upstream, buggy, non-free, superseded by -voikko
thanks

Hi,

Am Freitag, 3. November 2006 10:16 schrieben Sie:
> ok, i'll give up on this.  for some reason on hosts where soikko -2 that
> used libstlport5.0 was installed, it happens that removing libstlport5.0
> does not prevent simpress from crashing in Writing Aids.  the crash
> happens even if i remove ALL openoffice and libstlport packages and then
> reinstall them without soikko.
> 
> i can confirm that libstlport5.0 installation on a virgin host that has
> never had soikko -2 installed does NOT cause simpress to crash.

qed. Thanks.

> so installing soikko -2 somehow managed to permanently poison hosts,
> i.e., those host cannot have libstlport5.0 installed in parallel with
> openoffice.

Yeah.

Jarno: Are you *sure* this should be still kept in the archive?

It will never reach testing and etch, is buggy, and -voikko is there.
(CC'ing the removal bug)

Regards,

Rene
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73



Changed Bug title. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jarno Elonen <elonen@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #32 received at 394862@bugs.debian.org (full text, mbox):

From: Jarno Elonen <elonen@debian.org>
To: 394862@bugs.debian.org
Subject: Please remove
Date: Sat, 4 Nov 2006 15:03:09 +0200
Oh, this was already filed against ftp.debian.org -- yes, in summary, please 
do remove the package.


PS. From the Developer's Reference: "Usually you only ask for the removal of a 
package maintained by yourself. If you want to remove another package, you 
have to get the approval of its maintainer." I think filing removal requests 
of other people's packages directly against ftp.debian.org is a little 
impolite.. One could always reassign it later.



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#394862; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #37 received at 394862@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Jarno Elonen <elonen@debian.org>
Cc: 394862@bugs.debian.org, control@bugs.debian.org
Subject: Re: Please remove
Date: Mon, 6 Nov 2006 11:34:58 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

retitle 394862 RM: openoffice.org-soikko -- RoM/RoOOoM; unmaintained upstream, buggy, non-free, superseded by -voikko
thanks

[ AGAIN, nnn@bugs.debian.org, does only go to the maintainer, of the
package, in this case the ftpmasters. You should also - especially wrt
your PS - send this to (at least) the submitter. Thanks. ]

Jarno Elonen wrote:
> PS. From the Developer's Reference: "Usually you only ask for the removal of a 
> package maintained by yourself. If you want to remove another package, you 
> have to get the approval of its maintainer." I think filing removal requests 
> of other people's packages directly against ftp.debian.org is a little 
> impolite.. One could always reassign it later.

I filed that bug with you Cc'ed *at the first mail* and at all the others
(it'd be nice you had done this too, that you didn't is what I don't
call polite either, but anyway...) and there was a discussion at this
bug (it wouldn't have been if you would have left the CC's intact, but
i corrected that too. From the first mail I wanted comments from -soikko
and -voikko maintainers...

It could have been closed if everyone didn't agree, but now you also
think it should be removed - good. Let's do it.

Regards,

Rene
> 
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFTw/R+FmQsCSK63MRAuxEAJsFkul9HiYCXkhbtI9rnuEf6wA0qACfauIW
dGnrS2pcLm6CrjwXToTMfXI=
=4Cvd
-----END PGP SIGNATURE-----



Changed Bug title. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `wishlist' Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 394862-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 394862-close@bugs.debian.org
Cc: openoffice.org-soikko@packages.debian.org, openoffice.org-soikko@packages.qa.debian.org
Subject: Bug#394862: fixed
Date: Mon, 25 Dec 2006 00:23:50 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

openoffice.org-soikko |    1.1.1-3 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 394862@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:21:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:01:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.